local t = Def.ActorFrame{
	-- this is pretty inefficient...
	LoadActor("back1")..{ InitCommand=cmd(FullScreen); };
	-- tiles 2
	LoadActor("back3")..{
		InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y+180;zoomto,SCREEN_WIDTH,32;customtexturerect,0,0,WideScale(5,6.671875),1);
		OnCommand=cmd(texcoordvelocity,0.3,0);
	};
	--[[
	[Layer2]
	Type=3
	TilesStartY=420
	TilesSpacingY=700
	TileVelocityX=-30
	File=back3.png
	--]]

	-- tiles 3
	LoadActor("back3")..{
		InitCommand=cmd(CenterX;y,SCREEN_CENTER_Y-180;zoomto,SCREEN_WIDTH,32;customtexturerect,0,0,WideScale(5,6.671875),1);
		OnCommand=cmd(texcoordvelocity,-0.3,0);
	};
	--[[
	[Layer3]
	Type=3
	TilesStartY=60
	TilesSpacingY=700
	TileVelocityX=30
	File=back3.png
	--]]
	LoadActor("back2")..{
		InitCommand=cmd(x,SCREEN_LEFT;y,SCREEN_TOP);
		OnCommand=cmd(spin;effectmagnitude,0,0,-40);
	};
	LoadActor("back2")..{
		InitCommand=cmd(x,SCREEN_RIGHT;y,SCREEN_BOTTOM);
		OnCommand=cmd(spin;effectmagnitude,0,0,-40);
	};
	LoadActor("back5")..{
		InitCommand=cmd(Center;zoom,1.25);
		OnCommand=cmd(spin;effectmagnitude,0,0,-5;);
	};
	-- models
	LoadActor( THEME:GetPathB("_shared","models/_popcandymodel"), "green" )..{
		InitCommand=cmd(Center;zoom,8.0;);
		OnCommand=cmd(spin;effectmagnitude,0,75,0;);
	};
	-- various object1s
	LoadActor( THEME:GetPathB("_shared","models/_object1model") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X-256;y,SCREEN_CENTER_Y-176;zoom,4.0;);
		OnCommand=cmd(spin;effectmagnitude,-75,0,-75;);
	};
	LoadActor( THEME:GetPathB("_shared","models/_object1model") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+256;y,SCREEN_CENTER_Y+176;zoom,4.0;);
		OnCommand=cmd(spin;effectmagnitude,75,0,75;);
	};
	LoadActor( THEME:GetPathB("_shared","models/_object1model") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X-256;y,SCREEN_CENTER_Y+176;zoom,4.0;);
		OnCommand=cmd(spin;effectmagnitude,-75,0,75;);
	};
	LoadActor( THEME:GetPathB("_shared","models/_object1model") )..{
		InitCommand=cmd(x,SCREEN_CENTER_X+256;y,SCREEN_CENTER_Y-176;zoom,4.0;);
		OnCommand=cmd(spin;effectmagnitude,75,0,-75;);
	};
};

-- these layers are unused. (older versions?)
--[[
[Layer6]
File=back4.png
Type=0
Command=zoom,1.1;x,0;y,0;spin;effectmagnitude,0,0,20;

[Layer7]
File=back4.png
Type=0
Command=zoom,1.1;x,640;y,480;spin;effectmagnitude,0,0,20;

[Layer8]
File=back4.png
Type=0
Command=zoom,1.2;x,0;y,0;spin;effectmagnitude,0,0,-10;

[Layer9]
File=back4.png
Type=0
Command=zoom,1.2;x,640;y,480;spin;effectmagnitude,0,0,-10;

[Layer10]
File=back4.png
Type=0
Command=zoom,1.31;x,0;y,0;spin;effectmagnitude,0,0,5;

[Layer11]
File=back4.png
Type=0
Command=zoom,1.31;x,640;y,480;spin;effectmagnitude,0,0,5;
--]]

return t;